<?php
/**
 * Obtiene el detalle de una hacienda especificada por
 * su identificador "id"
 */

require 'Hacienda.php';

if ($_SERVER['REQUEST_METHOD'] == 'GET') {

    if (isset($_GET['id'])) {

        // Obtener parámetro id
        $parametro = $_GET['id'];

        // Tratar retorno
        $retorno = Hacienda::getById($parametro);


        if ($retorno) {

            $hacienda["estado"] = "1";
            $hacienda["hacienda"] = $retorno;
            // Enviar objeto json de la hacienda
            print json_encode($hacienda);
        } else {
            // Enviar respuesta de error general
            print json_encode(
                array(
                    'estado' => '2',
                    'mensaje' => 'No se obtuvo el registro'
                )
            );
        }

    } else {
        // Enviar respuesta de error
        print json_encode(
            array(
                'estado' => '3',
                'mensaje' => 'Se necesita un identificador'
            )
        );
    }
}